[song]
name = The Cooker
artist = George Benson
album = The George Benson Cookbook
genre = Soul Jazz
year = 1965
song_length = 258378
charter = Pix_, highfine
diff_guitar = 4
diff_rhythm = 6
diff_drums = 4
preview_start_time = 92240
icon = csc
album_track = 1
loading_phrase = <br>George Washington Benson is an American jazz fusion guitarist, singer, and songwriter. He began his professional career at the age of 19 as a jazz guitarist. A former child prodigy, Benson first came to prominence in the 1960s, playing soul jazz with Jack McDuff and others. He then launched a successful solo career, alternating between jazz, pop, R&B singing, and scat singing. His album <i>Breezin'</i> was certified triple-platinum, hitting No. 1 on the Billboard album chart in 1976. His concerts were well attended through the 1980s, and he still has a large following.<br>Benson has won ten Grammy Awards and has been honored with a star on the Hollywood Walk of Fame.<br><br>Miles Davis employed Benson in the mid-1960s, featuring his guitar on "Paraphernalia" on his 1968 Columbia release, <i>Miles in the Sky</i> before Benson went to Verve Records.<br>Rhythm contains alternate chart with accurate forcing.

